# Uses of Interface
org.eclipse.emf.cdo.spi.common.revision.CDOReferenceAdjuster

Packages that use CDOReferenceAdjuster
Package
Description
org.eclipse.emf.cdo.common.model
Common concepts for dealing with models and types.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOReferenceAdjuster in org.eclipse.emf.cdo.common.model

Methods in org.eclipse.emf.cdo.common.model with parameters of type CDOReferenceAdjuster
Modifier and Type
Method
Description
`Object`
CDOType.`adjustReferences(CDOReferenceAdjuster adjuster, Object value, EStructuralFeature feature, int index)`

## Uses of CDOReferenceAdjuster in org.eclipse.emf.cdo.spi.common.revision

Classes in org.eclipse.emf.cdo.spi.common.revision that implement CDOReferenceAdjuster
Modifier and Type
Class
Description
`class`
`CDOIDMapper`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDOReferenceAdjuster
Modifier and Type
Method
Description
`boolean`
BaseCDORevision.`adjustReferences(CDOReferenceAdjuster referenceAdjuster)`
`boolean`
CDOReferenceAdjustable.`adjustReferences(CDOReferenceAdjuster referenceAdjuster)`
`boolean`
DelegatingCDORevision.`adjustReferences(CDOReferenceAdjuster referenceAdjuster)`
`boolean`
InternalCDOList.`adjustReferences(CDOReferenceAdjuster adjuster, EStructuralFeature feature)`
Adjusts references according to the passed adjuster and resynchronizes indexes.
`boolean`
StubCDORevision.`adjustReferences(CDOReferenceAdjuster referenceAdjuster)`

## Uses of CDOReferenceAdjuster in org.eclipse.emf.spi.cdo

Classes in org.eclipse.emf.spi.cdo that implement CDOReferenceAdjuster
Modifier and Type
Class
Description
`protected static class`
`CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.spi.cdo that return CDOReferenceAdjuster
Modifier and Type
Method
Description
`CDOReferenceAdjuster`
CDOSessionProtocol.CommitTransactionResult.`getReferenceAdjuster()`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOReferenceAdjuster
Modifier and Type
Method
Description
`void`
CDOSessionProtocol.CommitTransactionResult.`setReferenceAdjuster(CDOReferenceAdjuster referenceAdjuster)`